from django.contrib import admin
from colloscope.models import *


@admin.register(School)
class LyceeAdmin(admin.ModelAdmin):
    list_display = ('uai', 'description', 'vacation')


admin.site.register(Class)
admin.site.register(Term)
admin.site.register(Subject)
admin.site.register(GroupType)
admin.site.register(Group)
admin.site.register(Student)
admin.site.register(Member)
admin.site.register(Colleur)


@admin.register(Slot)
class SlotAdmin(admin.ModelAdmin):
    list_display = ('subject', 'colleur', "term", 'view_day', "time", "duration")
    list_filter = ("subject", "colleur", "term")

    def view_day(self, obj):
        jours = ["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]
        return jours[obj.jour]

    view_day.short_description = 'Day'


admin.site.register(Colle)
admin.site.register(Swap)
admin.site.register(Profile)
admin.site.register(CalendarLink)
